recipe-steps {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

recipe-step {
    font-size: 1.25rem;
    background: var(--neutral-color);
    border: var(--border-width) solid var(--primary-color);
    border-radius: var(--border-radius);
    padding: 1rem;
    box-shadow: 0 0.25rem 1rem oklch(from var(--text-color) l c h / 0.1);
    display: flex;
    align-items: baseline;
    gap: 1rem;
    transition: opacity var(--transition-duration) ease;

    & input[type="checkbox"] {
        width: 1rem;
        height: 1rem;
        accent-color: var(--primary-color);
        cursor: pointer;
        flex-shrink: 0;
        flex-grow: 0;
    }

    & label {
        cursor: pointer;
        font-weight: bold;
        color: var(--accent-text-color);
        line-height: 1.4;
        flex-grow: 1;
        flex-shrink: 1;
    }

    & small {
        display: block;
        margin-top: 0.25rem;
        font-size: 1rem;
        color: var(--text-color);
        font-weight: normal;
    }
}

recipe-step:has(input:checked) {
    pointer-events: none;
    opacity: 0.5;
}

recipe-step:has(input:checked):has(+ recipe-step input:not(:checked)) {
    pointer-events: auto;
    opacity: 1;
}

recipe-step:last-child:has(input:checked) {
    pointer-events: auto;
    opacity: 1;
}

recipe-steps:not(:has(input:not(:checked))) {
    & ~ button {
        pointer-events: none;
        cursor: not-allowed; 

        & congrats-wrapper {
            display: block;
        }
    }
}

recipe-steps + button {
    --shadow-size: var(--border-width);
    --translate-offset: 0;
    font-size: var(--font-size-btn);
    font-weight: bold;
    padding: calc(var(--font-size-btn) / 2);
    margin: 1rem auto;
    background: var(--accent-color);
    border-radius: var(--border-radius);
    border-width: 0;
    box-shadow: 0 var(--shadow-size) 0 var(--text-color);
    translate: 0 var(--translate-offset);
    cursor: pointer;
    position: relative;
    transition: all var(--transition-duration) ease;
    transition-property: translate, box-shadow;

    &:active {
        --shadow-size: 0;
        --translate-offset: var(--border-width);
    }
}

congrats-wrapper {
    display: none;
    pointer-events: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 1;
    transform: scale(1);
    transition:
        opacity var(--transition-duration) ease,
        transform calc(var(--transition-duration) * 2) cubic-bezier(.16, 1.4, .3, 1);
}

@starting-style {
    congrats-wrapper {
        opacity: 0;
        transform: scale(.65) translateY(1.5rem);
    }
}

congrats-wrapper::after,  congrats-wrapper::before {
    content: "🔥";
    position: absolute;
    top: 50%;
    transform:
            translateY(var(--flame-translate-offset))
            scale(.3);
    font-size: 3rem;
    line-height: 1;

    filter:
        drop-shadow(0 0 0.5rem var(--teritary-color))
        drop-shadow(0 0 1.25rem var(--neutral-color));

    opacity: 0;
    animation:
        flame
        calc(var(--transition-duration) * 4)
        var(--transition-duration)
        cubic-bezier(.2, .9, .3, 1)
        forwards;
}

congrats-wrapper::after {
    right: 0;
    --flame-translate-offset: 125%;
}

congrats-wrapper::before {
    left: 0;
    --flame-translate-offset: -125%;
}

@keyframes flame {
    0% {
        opacity: 0;
        transform:
            translateX(var(--flame-translate-offset))
            translateY(-70%)
            scale(.1)
            rotate(-24deg);
    }

    25% {
        opacity: 1;
        transform:
            translateX(var(--flame-translate-offset))
            translateY(-40%)
            scale(1.15)
            rotate(16deg);
    }

    55% {
        transform:
            translateX(var(--flame-translate-offset))
            translateY(-60%)
            scale(0.95)
            rotate(-8deg);
    }

    100% {
        opacity: 1;
        transform:
            translateX(var(--flame-translate-offset))
            translateY(-50%)
            scale(1)
            rotate(0);
    }
}
